#!/bin/sh -e

# Remove -pie from LDFLAGS to prevent build from breaking.
LDFLAGS="$(echo $LDFLAGS|sed 's/-pie//')"

./configure \
    --cc="${CC:-cc}" \
    --cxx="${CXX:-c++}" \
    --prefix=/usr \
    --enable-shared \
    --disable-static \
    --enable-gpl \
    --enable-version3 \
    --enable-nonfree \
    --enable-openssl \
    --enable-libass \
    --enable-libmp3lame \
    --enable-libopus \
    --enable-libvorbis \
    --enable-libvpx \
    --enable-libx265 \
    --enable-libxvid \
    --enable-libwebp \
    --enable-libdrm \
    --x86asmexe=nasm \
    --disable-debug \
    --disable-libxml2

make
make DESTDIR="$1" install

rm -rf "$1/usr/share/ffmpeg/examples"
